Page MenuHomePhabricator

Allow directing a percentage of API traffic to PHP7
Closed, ResolvedPublic

Description

While for users connecting with a browser (and their API requests) will go to PHP7 directly, we need to find a way to send a percentage of cookieless API traffic to PHP7 instead than HHVM.

I can think of two places where this can be done:

  • At the edge
  • In apache

Lastly, we decided not to separate varnish caches
Related Patches:

This method might be added to internal calls as well.

Event Timeline

Joe created this task.Mar 25 2019, 10:40 AM
jijiki added a subscriber: jijiki.
ema moved this task from Triage to Caching on the Traffic board.Apr 3 2019, 12:49 PM
jijiki added a comment.Apr 5 2019, 3:14 PM

We can gradually increase API PHP7 traffic by switching completely each server to PHP7 one or more at a time. If we assume for example that each API server accepts 2% of the API traffic, we can ramp it up in 2% steps. This will require some temporary puppet changes:

a) define which servers will serve only via PHP7
b) remove HHVM from apache config
c) cache related changes (but this has already been implemented for beta users)

fgiunchedi triaged this task as Normal priority.Apr 9 2019, 8:38 AM
jijiki moved this task from Backlog/Radar to In Progress on the User-jijiki board.Apr 24 2019, 9:59 AM

Given this is being used now, does this count as Resolved? Or do you want to keep this open until clean-up?

jijiki closed this task as Resolved.Jun 3 2019, 6:15 AM
jijiki claimed this task.

@Jdforrester-WMF I am marking this as resolved :D

jijiki updated the task description. (Show Details)Jun 3 2019, 6:16 AM
jijiki updated the task description. (Show Details)